ClientService_CreateQRCode

POST /clients/qrcode

Operation id: ClientService_CreateQRCode

Tags: ClientService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
timeToLiveobjectNo
firstNamestringNoClient's first name. Required: false.
lastNamestringNoClient's last name. Required: false.
clientDescriptionstringNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "timeToLive": {
      "type": "object",
      "properties": {
        "value": {
          "type": "integer",
          "format": "int32"
        },
        "unit": {
          "type": "string",
          "description": "- FOREVER: Default Value",
          "enum": [
            "FOREVER",
            "HOUR",
            "DAY",
            "WEEK",
            "MONTH"
          ],
          "default": "FOREVER"
        }
      }
    },
    "firstName": {
      "type": "string",
      "description": "Client's first name. Required: false."
    },
    "lastName": {
      "type": "string",
      "description": "Client's last name. Required: false."
    },
    "clientDescription": {
      "type": "string"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
clientIdstringNo
datastringNoThe data that will be used to build the QR Code. For now it will be a URL pointing to the REST layer of client-service (LoginClient rpc method) where the user can just scan the QR Code and get a Phoenix token.
{
  "type": "object",
  "properties": {
    "clientId": {
      "type": "string"
    },
    "data": {
      "type": "string",
      "description": "The data that will be used to build the QR Code.\nFor now it will be a URL pointing to the REST layer of client-service (LoginClient rpc method)\nwhere the user can just scan the QR Code and get a Phoenix token."
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}